petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoLineSearchGetType

Gets the current line search algorithm

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchGetType(TaoLineSearch ls, TaoLineSearchType *type)

Not Collective

### Input Parameter

ls -the TaoLineSearch context

### Output Paramter

type -the line search algorithm in effect

### Level

developer

### Location

src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages